package com.yihu.jw.entity.hospital.doctor;

import com.yihu.jw.entity.UuidIdentityEntity;

import javax.persistence.Entity;
import javax.persistence.Table;
import java.util.Date;

/**
 * Created by Trick on 2019/7/31.
 */
@Entity
@Table(name = "wlyy_doctor_online_time")
public class WlyyDoctorOnlineTimeDO extends UuidIdentityEntity {

    private String doctor;//医生ID',
    private String doctorName;//医生姓名',
    private Date startTime;//开始时间',
    private Date endTime;//结束时间',
    private String type;//1 上午，2.中午，3.下午，4.晚上',
    private String date;//日期',
    private String remark;//备注',
    private Date createTime;//创建时间',

    public String getDoctor() {
        return doctor;
    }

    public void setDoctor(String doctor) {
        this.doctor = doctor;
    }

    public String getDoctorName() {
        return doctorName;
    }

    public void setDoctorName(String doctorName) {
        this.doctorName = doctorName;
    }

    public Date getStartTime() {
        return startTime;
    }

    public void setStartTime(Date startTime) {
        this.startTime = startTime;
    }

    public Date getEndTime() {
        return endTime;
    }

    public void setEndTime(Date endTime) {
        this.endTime = endTime;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getDate() {
        return date;
    }

    public void setDate(String date) {
        this.date = date;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }
}
